﻿using System;
using Microsoft.Office.Interop.Excel;

namespace ScreenSaver
{
    class Program
    {
        static void Main(string[] args)
        {
            int day = (int)DateTime.Now.DayOfWeek + 1;
            int hour = DateTime.Now.Hour;
            Console.WriteLine($"Now is day: {day} hour: {hour}");


            var xlApp = new Application();
            Workbook excelWorkbook = xlApp.Workbooks.Open(@"C:\xxx\xxx.xlsx", 0, true, 5, "", "", true, XlPlatform.xlWindows, "", true, false, 0, true, false, false);
            Sheets excelSheets = excelWorkbook.Worksheets;

            Worksheet excelWorksheet = (Worksheet)excelSheets.Item[1];//  to change name
            var cell = (Range)excelWorksheet.Cells[hour + 2, day + 1];
            var isTurnOn = (string)cell.Value;
            string mode = isTurnOn.ToLower() == "x" ? "on" : "off";
            Console.WriteLine($"The ScreenSaver should be turnned {mode}");


            Console.ReadLine();


        }
    }
}
